---
title: "getFluentRuntime"
parent: "@messageformat/fluent"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# getFluentRuntime() function

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Build a [MessageFormat](./messageformat.messageformat.md) runtime to use with Fluent messages.

<b>Signature:</b>

```typescript
export declare function getFluentRuntime(res: Map<string, MessageFormat>): {
    DATETIME: RuntimeFunction<import("messageformat").MessageDateTime>;
    MESSAGE: RuntimeFunction<ResolvedMessage>;
    NUMBER: RuntimeFunction<import("messageformat").MessageNumber>;
};
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  res | Map&lt;string, [MessageFormat](./messageformat.messageformat.md)<!-- -->&gt; | A Map of MessageFormat instances, for use by <code>MESSAGE</code>. This Map may be passed in as initially empty, and later filled out by the caller. |

<b>Returns:</b>

{ DATETIME: [RuntimeFunction](./messageformat.runtimefunction.md)<!-- -->&lt;import("messageformat").[MessageDateTime](./messageformat.messagedatetime.md)<!-- -->&gt;; MESSAGE: [RuntimeFunction](./messageformat.runtimefunction.md)<!-- -->&lt;[ResolvedMessage](./messageformat.resolvedmessage.md)<!-- -->&gt;; NUMBER: [RuntimeFunction](./messageformat.runtimefunction.md)<!-- -->&lt;import("messageformat").[MessageNumber](./messageformat.messagenumber.md)<!-- -->&gt;; }

## Remarks

This builds on top of the default runtime, but uses all-caps names for the `DATETIME` and `NUMBER` message formatters. A custom function `MESSAGE` is also included to support Fluent term and message references.

